POSIX_BLOCK_LOCK(9)

NAME
posix_block_lock - blocks waiting for a file lock

SYNOPSIS

void posix_block_lock (struct file_lock * blocker, struct file_lock * waiter);

ARGUMENTS

blocker
    the lock which is blocking

waiter
    the lock which conflicts and has to wait

DESCRIPTION

lockd needs to block waiting for locks.